Page MenuHomePhabricator

[clang-tidy] Rename android-file-open-flag and fix a bug
ClosedPublic

Authored by yawanng on Jun 26 2017, 10:35 AM.

Details

Summary
  1. Rename android-file-open-flag to android-cloexec-open.
  2. Handle a case when the function is passed as an argument of a function-like macro.

Diff Detail

Event Timeline

yawanng created this revision.Jun 26 2017, 10:35 AM
chh accepted this revision.Jun 26 2017, 10:44 AM
This revision is now accepted and ready to land.Jun 26 2017, 10:44 AM
yawanng updated this revision to Diff 104574.Jun 28 2017, 6:25 PM

rename the check.

chh requested changes to this revision.Jun 29 2017, 10:17 AM

Please update the subject line and summary.
The new diff shows only the renaming of check name and file names.
Were the other changes for format and macro lost or are they
going to be in another change later?

This revision now requires changes to proceed.Jun 29 2017, 10:17 AM
yawanng updated this revision to Diff 104689.Jun 29 2017, 10:57 AM
yawanng edited edge metadata.

Pull back the previous change. For some reason it's lost.

yawanng retitled this revision from [clang-tidy] Fix a bug in android-file-open-flag to [clang-tidy] Rename android-file-open-flag and fix a bug.Jun 29 2017, 11:36 AM
yawanng edited the summary of this revision. (Show Details)
chh added a comment.Jun 29 2017, 11:43 AM

I think you also need to change docs/clang-tidy/checks/list.rst.

yawanng updated this revision to Diff 104709.Jun 29 2017, 11:46 AM

Change the file name in toctree.

chh accepted this revision.Jun 29 2017, 11:54 AM
This revision is now accepted and ready to land.Jun 29 2017, 11:54 AM
yawanng closed this revision.Jun 29 2017, 12:13 PM